<?php
session_start();
include_once("func.php");


if($_SESSION['WGS84fmt']!="normal") $WGS84text=convert_to_normal($_SESSION['WGS84text']);  //convert number format to normal
else $WGS84text=$_SESSION['WGS84text'];
$vs=$_SESSION['WGS84vs'];
$ds=$_SESSION['WGS84ds'];
if ($vs != "," || $ds!=".") {
	$WGS84text	= replace_chars($WGS84text,$vs, $ds, ",", ".");
}
if ($_SESSION['reversed'] !== true) {  //reverse the existing text with old vs
	//		echo $_SESSION['WGS84text'];
	$WGS84text=reverse($WGS84text,",");
}



$begstr=<<<BEG
<?xml version="1.0" encoding="UTF-8"?>
<kml xmlns="http://www.opengis.net/kml/2.2">
<Document>
<name>KML file</name>
<Folder>
<name>Path</name>
<Placemark>
<Style>
<LineStyle>
<color>ff0000ff</color>
<width>2</width>
</LineStyle>
</Style>
<LineString>
<coordinates>

BEG;
$endstr=<<<END
</coordinates>
</LineString>
</Placemark>
</Folder>\n
END;
header('Content-Type: application/vnd.google-earth.kml+xml');
header('Content-Disposition: attachment; filename=google.kml');
echo $begstr;
echo $WGS84text;
echo $endstr;

$lterm=detect_line_termination( $WGS84text);
$line = strtok( $WGS84text, $lterm);			//collect all lines because only one instance of strtok can be implemented
$lineno=1;
echo "<Folder>\n<name>Points</name>\n";
while ($line !== false){
	$line=trim($line);
	echo "<Placemark><name>".$lineno++."</name><Point><coordinates>".$line."</coordinates></Point></Placemark>\n";
	$line=strtok($lterm);
}
echo "</Folder>\n</Document>\n</kml>";
?>
