<?php
$zip = new ZipArchive();
$filename = "project_files.zip";
//zip file: project_files.zip must exist and should be read/written by everyone
if ($zip->open($filename, ZIPARCHIVE::OVERWRITE|ZIPARCHIVE::CREATE)!==TRUE) {
    exit("cannot open <$filename>\n");
}

$zip->addFile("readme.txt");
$zip->addFile("egsa87file.php");
$zip->addFile("func.php" );
$zip->addFile("index.php");
$zip->addFile("transforms.php");
$zip->addFile("wgs84file.php");
$zip->addFile("zip.php");
$zip->addFile("hatt2egsa.txt");
$zip->addFile("dN_2km_V1-0.grd");
$zip->addFile("dE_2km_V1-0.grd");
$zip->addFile("data.ndx");

//echo "numfiles: " . $zip->numFiles . "\n";
//echo "status:" . $zip->status . "\n";
if ($zip->close()===false) {
	echo "file did not close\n";
	exit;
}

header('Content-Type: application/zip');
header('Content-Length: ' . filesize($filename));
header('Content-Disposition: attachment; filename='.$filename);
readfile("project_files.zip");
?>

